# Generated from bit-twiddle-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bit-twiddle

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Fast bitwise operations for Ruby
License: None (Public Domain)
URL: http://github.com/alexdowad/bit-twiddle
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.2.8
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rake-compiler) >= 0.9
# BuildRequires: rubygem(rake-compiler) < 1
# BuildRequires: rubygem(benchmark-ips) >= 2.7
# BuildRequires: rubygem(benchmark-ips) < 3
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1

%description
Fast (native) bitwise operations for Ruby, in addition to the ones provided by
the standard library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.1-1
- Initial package
